<?php
/* 
	This is phpSitemapNG, a php script that creates your personal google sitemap
	It can be downloaded from http://enarion.net/google/
	License: GPL
	
	Tobias Kluge, enarion.net
*/

@set_time_limit(-1);
@ini_set('memory_limit', '128M');

$SETTINGS[config][] = 		'inc/functions.inc.php';
$SETTINGS[config][] = 		'inc/parsing.inc.php';
$SETTINGS[config][] = 		'inc/settings.inc.php';
$SETTINGS[config][] = 		'inc/FilesystemHandler.class.php';
$SETTINGS[config][] = 		'inc/LayoutEngine.class.php';
$SETTINGS[config][] = 		'inc/gsgxml/GsgXml.class.php';
$SETTINGS[settings_file] = 	'settings/settings.inc.php';
$SETTINGS[files_file] = 	'settings/files.inc.php';
$SETTINGS[script] =			$_SERVER[SCRIPT_NAME]; 		


@include_once($SETTINGS[settings_file]);

DEFINE(VERSION, '1.3.2b');
DEFINE(FILE_LIMIT, 300);
foreach ($SETTINGS[config] as $configfile) {
	include_once ($configfile);
}

$state = init();

if ($SETTINGS[website] == "") {
	$LAYOUT->addError('Please edit the settings <a href="index.php">here</a> and store them to the file system!','No valid settings found!');
} else {
	debug($SETTINGS[page_root], "Current page root");
	debug($SETTINGS[disallow_dir], "Current disallowed directories");
	debug($SETTINGS[disallow_file], "Current disallowed files");
	
	$fsh = new FilesystemHandler($SETTINGS[page_root]);
	$fsh->setForbiddenDirectories($SETTINGS[disallow_dir]);
	$fsh->setForbiddenFiles($SETTINGS[disallow_file]);
	if($fsh->start() > 0) {
		if (writeSitemap($fsh) == true) {
			$LAYOUT->addSuccess('', 'Generation of sitemap successful!');
			submitPageToGoogle();
		} else {		
			$LAYOUT->addError('', 'Generation of sitemap failed!');
		}
	} else {
		$LAYOUT->addError('', 'Scanning of filesystem failed!');
	}
}
print ($LAYOUT->getContent());

?>
