<?php
/* 
	This is phpSitemapNG, a php script that creates your personal google sitemap
	It can be downloaded under http://enarion.net/google/
	License: GPL
	
	Tobias Kluge, enarion.net
*/
/**
 * this class gets all messages from the application and
 * creates a html output as result of getContent()
 */
class LayoutEngine {
	var $content = array();
	var $static_title = "";
	
    function LayoutEngine($staticTitle) {
/*		$this->content[error] = array();
		$this->content[warning] = array();
		$this->content[info] = array();
		$this->content[success] = array();
		$this->content[text] = array();
    	$this->content[debug][] = array();
*/    	$this->content[content_header] = "";
    	$this->content[content_footer] = "";
    	$this->content[title] = "";
    	$this->content[charset] = "";
		$this->content[header] = array();
    	$this->content[css] = array();
    	$this->content[body] = array();
    	$this->static_title = $staticTitle;
    }
    
    function addHeader($header) {
    	$this->content[header][] = $header;
    }

    function addCss($msg) {
    	$this->content[css][] = $msg;
    }
    
    function addContentHeader($msg) {
    	$this->content[content_header][] = '<div class="content_header">'.$msg.'</div>'. "\n";
    }

    function addContentFooter($msg) {
    	$this->content[content_footer][] = '<div class="content_footer">'.$msg.'</div>'. "\n";
    }

    function setTitle($msg) {
    	$this->content[title] = $msg;
    }

    function setCharset($msg) {
    	$this->content[charset] = $msg;
    }
   
    function addError($msg, $title="") {
    	if ($title != "") {
    		$this->content[body][] = '<h4 class="error">Error: '.$title.'</h4>'."\n".'<div class="error">'.$msg.'</div>'."\n";
    	} else {
    		$this->content[body][] = '<div class="error">Error: '.$msg.'</div>'."\n";
    	}
    }

    function addWarning($msg, $title = "") {
    	if ($title != "") {
    		$this->content[body][] = '<h4 class="warning">Warning: '.$title.'</h4>'."\n".'<div class="warning">'.$msg.'</div>'."\n";
    	} else {
    		$this->content[body][] = '<div class="warning">Warning: '.$msg.'</div>'."\n";
    	}
    }
    	
    function addInfo($msg, $title = "") {
    	if ($title != "") {
    		$this->content[body][] = '<h4 class="info">Info: '.$title.'</h4>'."\n".'<div class="info">'.$msg.'</div>'."\n";
    	} else {
    		$this->content[body][] = '<div class="info">Info: '.$msg.'</div>'."\n";
    	}
    }
    
    function addText($msg, $title = "", $css_class="") {
    	if ($css_class != "") $css_class = ' class="'.$css_class.'"';
    	if ($title != "") $title = '<h4'.$css_class.'>'.$title.'</h4>';
    	$this->content[body][] = $title.'<div'.$css_class.'>'.$msg.'</div>';
    }
        
    function addDebug($msg, $title = '') {
    	if ($title != "") {
    		$this->content[body][] = '<h4 class="debug">Debug: '.$title.'</h4>'."\n".'<div class="debug">'.$msg.'</div>'."\n";
    	} else {
    		$this->content[body][] = '<div class="debug">Debug: '.$msg.'</div>'."\n";
    	}
    }

    function addSuccess($msg, $title = '') {
    	if ($title != "") {
    		$this->content[body][] = '<h4 class="success">Successful: '.$title.'</h4>'."\n".'<div class="success">'.$msg.'</div>'."\n";
    	} else {
    		$this->content[body][] = '<div class="success">Successful: '.$msg.'</div>'."\n";
    	}
    }
    
    function getContent() {
    	$res = '<html>'."\n";
		$res .= '<meta http-equiv="Content-Type" content="text/html; charset='.$this->content[charset].'">'."\n";
    	$res .= '<title>'.$this->static_title .' ' . $this->content[title].'</title>'."\n";
    	// header
    	if(($this->content[header] != "") && count($this->content[header]) > 0) {
    		foreach ($this->content[header] as $head) {
    			$res .= $head . "\n";
    		}
    	}
    	// css
    	$res .= '<style type="text/css">'."\n".'<!--'."\n";
    	if(($this->content[css] != "") && count($this->content[css]) > 0) {
	    	foreach ($this->content[css] as $line) {
    			$res .= $line . "\n";
    		}
    	}
    	$res .= '-->'."\n".'</style>'."\n";
		
		//end of head
		$res .= '<body>'."\n";
		 
		$res .= '<h1>'.$this->content[title].'</h1>';
		
		if(($this->content[content_header] != "") && count($this->content[content_header])>0) {		
	    	foreach ($this->content[content_header] as $line) {
	    		$res .= $line . "\n";
	    	}
		}
		
		if(($this->content[body] != "") && count($this->content[body]) > 0) {		
	    	foreach ($this->content[body] as $line) {
	    		$res .= $line . "\n";
	    	}
		}
		
		if(($this->content[content_footer] != "") && count($this->content[content_footer]) > 0) {		
	    	foreach ($this->content[content_footer] as $line) {
	    		$res .= '<div class="content_footer">'.$line.'</div>'. "\n";
	    	}
		}
    	
    	$res .= "</body>";
    	$res .= "</html>";
    	
    	return $res;
    }    
}
?>